## patch-hub 0.1.7

=== debian/changelog ===
patch-hub (0.1.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1109210)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 04 Feb 2026 22:20:57 +0100
