=== debian/control ===
Source: patch-hub
Section: utils
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Carl Keinath <carl.keinath@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-to-tui-6+default-dev (>= 6.0.0-~~),
 librust-chrono-0.4+default-dev (>= 0.4.39-~~),
 librust-clap-4+default-dev (>= 4.5.23-~~),
 librust-clap-4+derive-dev (>= 4.5.23-~~),
 librust-color-eyre-0.6+default-dev (>= 0.6.3-~~),
 librust-derive-getters-0.5+auto-copy-getters-dev,
 librust-derive-getters-0.5+default-dev,
 librust-lazy-static-1+default-dev (>= 1.5.0-~~),
 librust-mockall-0.13+default-dev (>= 0.13.0-~~),
 librust-ratatui-0.29+default-dev, 
 librust-regex-1+default-dev (>= 1.11.1-~~),
 librust-serde-1+default-dev (>= 1.0.217-~~),
 librust-serde-1+derive-dev (>= 1.0.217-~~),
 librust-serde-json-1+default-dev (>= 1.0.139-~~),
 librust-serde-xml-rs-0.5+default-dev (>= 0.5.1-~~),
 librust-thiserror-2+default-dev (>= 2.0.11-~~),
 librust-ureq-3+default-dev (>= 3.0.11-~~),
 librust-ureq-3+rustls-dev (>= 3.0.11-~~),
 librust-ureq-3+platform-verifier-dev (>= 3.0.11-~~),
 librust-which-8+default-dev (>= 8.0.0-~~),
 librust-proc-macro2-1+default-dev (>= 1.0.92-~~),
 librust-quote-1+default-dev (>= 1.0.40-~~),
 librust-syn-2+default-dev (>= 2.0.98-~~),
 librust-syn-2+full-dev (>= 2.0.98-~~),
 git <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/kworkflow/patch-hub
Vcs-Browser: https://salsa.debian.org/rust-team/patch-hub
Vcs-Git: https://salsa.debian.org/rust-team/patch-hub.git

Package: patch-hub
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 b4,
 git-email,
Recommends:
 bat,
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Interactively browse lore.kernel.org
 patch-hub is a terminal-based user interface (TUI) designed to simplify
 working with software patches sent through mailing lists in Linux-related
 development. It provides an efficient way to navigate and interact with
 patches archived on lore.kernel.org, specifically for the Linux kernel and
 adjacent projects.
