=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=cargo

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry
	rm -f debian/cargo-checksum.json
	rm -f Cargo.lock
	rm -rf debian/tmpdir

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock
	touch debian/cargo-checksum.json
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/tmpdir
	TMPDIR=$(CURDIR)/debian/tmpdir \
	$(CARGO) test
endif

override_dh_auto_build:
	$(CARGO) build --release

execute_after_dh_auto_install:
	/usr/share/cargo/bin/dh-cargo-built-using patch-hub
