=== debian/tests/control ===
Test-Command: patch-hub --help >/dev/null
Depends: @, b4, git-email
