=== debian/watch ===
version=4
opts="mode=git" https://github.com/kworkflow/patch-hub.git \
    refs/tags/v([\d\.]+)
